Saltar al contenido principal
PUT
/
v1
/
organizations
/
{organization_id}
/
tenants
/
{tenant_id}
Actualizar un tenant
curl --request PUT \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants/{tenant_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Tenant de Produccion Actualizado"
}
'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants/{tenant_id}"

payload = { "name": "Tenant de Produccion Actualizado" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Tenant de Produccion Actualizado'})
};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/tenants/{tenant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "organization_id": "<string>",
  "create_date": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "region": "<string>",
  "product_id": "<string>",
  "policy_id": "<string>"
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

organization_id
string
requerido

El identificador único de la organización propietaria del tenant

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
tenant_id
string
requerido

El identificador único del tenant a actualizar

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Cuerpo

application/json
name
string
requerido
Maximum string length: 512

Respuesta

Nombre del tenant actualizado correctamente. El nombre de la organización relacionada también se ha actualizado. La respuesta contiene el recurso actualizado.

id
string
requerido
organization_id
string
requerido

ID de la organización del tenant

create_date
string<date-time>
requerido
name
string
requerido
region
string
requerido
product_id
string | null

ID del producto (nullable)

policy_id
string | null

ID de la política (nullable)